"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Returns the cloned array
 * @param array
 * @param [deep=false]
 * @example
 * clone([1, 2, 3]); // [1, 2, 3]
 */
function clone(array, deep = false) {
    return deep ? (0, utils_js_1.deepClone)(array) : [...array];
}
exports.default = clone;
//# sourceMappingURL=index.js.map