"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Removes falsey values from the array
 * @param array
 * @example
 * compact([0, 1, false, 2, '', 3, 'a', 'e' * 23, NaN, 's', 34]); // [ 1, 2, 3, 'a', 's', 34 ]
 */
function compact(array) {
    return array.filter(Boolean);
}
exports.default = compact;
//# sourceMappingURL=index.js.map