"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Counts the occurrences of a value in an array
 * @param array
 * @param [value]
 * @example
 * count([1, 1, 2, 1, 2, 3]); // 6
 * @example
 * count([1, 1, 2, 1, 2, 3], 1); // 3
 */
function count(array, value) {
    return value == null
        ? array.length
        : array.reduce((a, v) => a + Number(v === value), 0);
}
exports.default = count;
//# sourceMappingURL=index.js.map