"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
function implode(arr, path, separator = ", ") {
    const keys = (0, utils_js_1.pathToKeys)(path);
    return arr
        .map(item => keys.reduce(
    // eslint-disable-next-line no-undefined
    (prev, cur) => (prev && prev[cur]) || undefined, item))
        .filter(Boolean)
        .join(separator);
}
exports.default = implode;
//# sourceMappingURL=index.js.map