"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a list of elements that exist in both arrays
 * @param arr
 * @param array
 * @example
 * intersect([1, 2, 3], [4, 3, 2]); // [2,3]
 */
function intersect(arr, array) {
    const set = new Set(array);
    return arr.filter(item => set.has(item));
}
exports.default = intersect;
//# sourceMappingURL=index.js.map