"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
function max(arr, path) {
    let reducer = (item) => item;
    if (path) {
        const keys = (0, utils_js_1.pathToKeys)(path);
        reducer = (item) => keys.reduce((prev, curr) => (prev && prev[curr]) || -Infinity, item);
    }
    return arr.reduce((prev, cur) => Math.max(prev, reducer(cur)), -Infinity);
}
exports.default = max;
//# sourceMappingURL=index.js.map