"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Randomizes the order of the values of an array, returning a new array
 * @example
 * const foo = [1, 2, 3];
 * shuffle(foo); // [2,3,1], foo = [1,2,3]
 */
function shuffle(arr) {
    let m = arr.length;
    while (m) {
        const i = Math.floor(Math.random() * m--);
        [arr[m], arr[i]] = [arr[i], arr[m]];
    }
    return arr;
}
exports.default = shuffle;
//# sourceMappingURL=index.js.map