"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns every element that exists in any of the two arrays once
 * @param arr
 * @param array
 * @example
 * union([1, 2, 3], [4, 3, 2]); // [1,2,3,4]
 */
function union(arr, array) {
    return Array.from(new Set([...arr, ...array]));
}
exports.default = union;
//# sourceMappingURL=index.js.map