"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Filters the array
 * @param arr
 * @param [field]
 * @example
 * whereNull([1, 2, 2, 3, null, undefined, 5]); // [null, undefined]
 * @example
 * whereNull([{count:1}, {count:null}, {foo:15}], "count"); // [{count:null},{foo:15}]
 */
function whereNull(arr, field) {
    return (0, utils_js_1.filter)(arr, field, item => item == null);
}
exports.default = whereNull;
//# sourceMappingURL=index.js.map