"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../array/sum/index.js"));
/**
 * Returns the average of an of two or more numbers
 * @param nums
 * @example
 * average(...[1, 2, 3]); // 2
 * @example
 * average(1, 2, 3); // 2
 */
function average(...nums) {
    return (0, index_js_1.default)(nums) / nums.length;
}
exports.default = average;
//# sourceMappingURL=index.js.map