declare global {
    interface Object {
        /**
         * Assigns object in reverse by Object.assign
         * @param sources
         * @example
         * ({ a: 0 }).$defaults({ a: 1, b: 2 }, { b: 3 }); // { a: 0, b: 2 }
         */
        $defaults(...sources: Array<Record<string, unknown>>): Record<string, unknown>;
    }
}
export {};
