"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../keys/index.js"));
/**
 * Empty the object
 * @param obj
 * @example
 * const obj = { a: 1 };
 * empty(obj);
 * // obj = {};
 */
function empty(obj) {
    const keys = (0, index_js_1.default)(obj);
    for (const key of keys)
        delete obj[key];
}
exports.default = empty;
//# sourceMappingURL=index.js.map