"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../forEach/index.js"));
/**
 * Creates a new object from the specified object, where all the keys are in lowercase
 * @example
 * const myObj = { Name: "Adam", sUrnAME: "Smith" };
 * const myObjLower = lowerCaseKeys(myObj); // {name: "Adam", surname: "Smith"}
 */
function lowerCaseKeys(obj) {
    const result = {};
    (0, index_js_1.default)(obj, (value, key) => (result[key.toLowerCase()] = value));
    return result;
}
exports.default = lowerCaseKeys;
//# sourceMappingURL=index.js.map