"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../keys/index.js"));
/**
 * Get size of the object
 * @example
 * size({ one: 1, two: 2, three: 3 }); // 3
 */
function size(obj) {
    return obj.size || obj.length || (0, index_js_1.default)(obj).length;
}
exports.default = size;
//# sourceMappingURL=index.js.map