"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Find out if the string contains the argument at any position
 * @param str
 * @param str2
 * @param [sensitive=false]
 * @example
 * contains('javaScript & typescript', 'Typescript'); // true
 * @example
 * contains('javaScript & typescript', 'Typescript', true); // false
 */
function contains(str, str2, sensitive = false) {
    if (sensitive)
        return str.includes(str2);
    return str.toLowerCase().includes(str2.toLowerCase());
}
exports.default = contains;
//# sourceMappingURL=index.js.map