"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Splits a multiline string into an array of lines
 * @param str
 * @example
 * 'This\nis a\nmultiline\nstring.\n'.lines(); // ['This', 'is a', 'multiline', 'string.' , '']
 */
function lines(str) {
    return str.split(/\r?\n/);
}
exports.default = lines;
//# sourceMappingURL=index.js.map