"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Just like array.map
 * @param str
 * @param fn
 * @example
 * map('Hello', (char) => char == 'o' ? 'O' : char); // 'HellO'
 */
function map(str, fn) {
    return str.split("").map(fn)
        .join("");
}
exports.default = map;
//# sourceMappingURL=index.js.map