"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Just like array.reduce
 * @param str
 * @param fn
 * @param initialValue
 * @example
 * reduce('123', (prev, char) => prev + (+char), 0); // 6
 */
function reduce(str, fn, 
// eslint-disable-next-line no-undefined
initialValue = undefined) {
    return str.split("").reduce(fn, initialValue);
}
exports.default = reduce;
//# sourceMappingURL=index.js.map