"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a copy of the string in which all the case-based characters have had their case swapped
 * @param str
 * @example
 * swapCase('Hello'); // 'hELLO'
 */
function swapCase(str) {
    return str.replace(/\S/g, c => (c === c.toUpperCase() ? c.toLowerCase() : c.toUpperCase()));
}
exports.default = swapCase;
//# sourceMappingURL=index.js.map