"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Converts a given string into an array of words
 * @param str
 * @param [pattern=/[^a-zA-Z-]+/]
 * @example
 * words('I love javaScript!!'); // ["I", "love", "javaScript"]
 * @example
 * words('python, javaScript & coffee'); // ["python", "javaScript", "coffee"]
 */
function words(str, pattern = /[^a-zA-Z-]+/) {
    return str.split(pattern).filter(Boolean);
}
exports.default = words;
//# sourceMappingURL=index.js.map