/**
 * Deep flattens an array
 * @param array
 * @example
 * deepFlatten([1, [2], [[3], 4], 5]); // [1,2,3,4,5]
 */
export default function deepFlatten(array) {
    return [].concat(...array.map(value => (Array.isArray(value) ? deepFlatten(value) : value)));
}
//# sourceMappingURL=index.js.map