import { pathToKeys } from "../../utils.js";
function implode(arr, path, separator = ", ") {
    const keys = pathToKeys(path);
    return arr
        .map(item => keys.reduce(
    // eslint-disable-next-line no-undefined
    (prev, cur) => (prev && prev[cur]) || undefined, item))
        .filter(Boolean)
        .join(separator);
}
export default implode;
//# sourceMappingURL=index.js.map