import { pathToKeys } from "../../utils.js";
function max(arr, path) {
    let reducer = (item) => item;
    if (path) {
        const keys = pathToKeys(path);
        reducer = (item) => keys.reduce((prev, curr) => (prev && prev[curr]) || -Infinity, item);
    }
    return arr.reduce((prev, cur) => Math.max(prev, reducer(cur)), -Infinity);
}
export default max;
//# sourceMappingURL=index.js.map