/**
 * Filters the array
 * @param arr
 * @param value
 * @example
 * whereNotLike(["foo", "bar", "hello", "world"], "o"); // ["bar"]
 */
declare function whereNotLike<T>(arr: T[], value: RegExp | string): T[];
/**
 * Filters the array
 * @param arr
 * @param field
 * @param value
 * @example
 * whereNotLike([{foo:"hello"}, {foo:"bar"}, {foo:"world"}], "foo", /o/i); // [{foo:"bar"}]
 */
declare function whereNotLike<T>(arr: T[], field: string, value: RegExp | string): T[];
export default whereNotLike;
