declare global {
    interface Object {
        /**
         * Retrieve the property indicated by the given selector from the object
         * @param key
         * @example
         * { selector: { to: { val: 'val to select' } } }.$get('selector.to.val'); // 'val to select'
         */
        $get(key: string): unknown;
    }
}
export {};
