"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns `true` if the provided predicate function
 * returns `true` for all elements in a collection,`false` otherwise
 * @param array
 * @param [fn=Boolean]
 * @example
 * all([4, 2, 3], (x) => x > 1); // true
 * @example
 * all([1, 2, 3]); // true
 */
function all(array, fn = Boolean) {
    return array.every(fn);
}
exports.default = all;
//# sourceMappingURL=index.js.map