"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Same as push but uses concat
 * @param array
 * @param value
 * @example
 * const myArray = [1, 2, 3]
 * append(myArray, 0); // myArray => [1, 2, 3, 0]
 */
function append(array, value) {
    const newArray = array.concat([value]);
    array.length = 0;
    return array.push(...newArray);
}
exports.default = append;
//# sourceMappingURL=index.js.map