"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../sum/index.js"));
/**
 * Returns the average value of a given path
 * @param array
 * @param [path]
 * @example
 * average([1, 2, 3]); // 2
 * @example
 * average([{a: 1}, {a: 2}, {a: 3}], "a"); // 2
 * @example
 * average([{a: {b: 1}}, {a: {b: 2}}, {a: {b: 3}}], "a.b"); // 2
 */
function average(array, path) {
    return (0, index_js_1.default)(array, path) / array.length;
}
exports.default = average;
//# sourceMappingURL=index.js.map