"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Deep flattens an array
 * @param array
 * @example
 * deepFlatten([1, [2], [[3], 4], 5]); // [1,2,3,4,5]
 */
function deepFlatten(array) {
    return [].concat(...array.map(value => (Array.isArray(value) ? deepFlatten(value) : value)));
}
exports.default = deepFlatten;
//# sourceMappingURL=index.js.map