"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the item at a given index. If the index does not exist, def is returned
 * @param array
 * @param index
 * @param [fallback=null]
 * @example
 * get([1, 2, 3], 0, 'default value'); // 1
 * @example
 * get([1, 2, 3], 4, 0); // 0
 */
function get(array, index, fallback = null) {
    return index >= array.length ? fallback : array[index];
}
exports.default = get;
//# sourceMappingURL=index.js.map