"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns all indices of value in the array. If value never occurs, returns []
 * @param array
 * @param value
 * @example
 * indexOfAll([1, 2, 3, 1, 2, 3], 1); // [0,3]
 * @example
 * indexOfAll([1, 2, 3], 4); // []
 */
function indexOfAll(array, value) {
    const indices = [];
    array.forEach((item, index) => item === value && indices.push(index));
    return indices;
}
exports.default = indexOfAll;
//# sourceMappingURL=index.js.map