"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
function median(arr, path) {
    const items = [...arr].sort((a, b) => a - b);
    const half = Math.floor(items.length / 2);
    let reducer = (item) => item;
    if (path) {
        const keys = (0, utils_js_1.pathToKeys)(path);
        reducer = (item) => keys.reduce((prev, curr) => (prev && prev[curr]) || prev, item);
    }
    if (items.length % 2)
        return reducer(items[half]);
    return (reducer(items[half - 1]) + reducer(items[half])) / 2;
}
exports.default = median;
//# sourceMappingURL=index.js.map