/**
 * Filters the array
 * @param arr
 * @param value
 * @example
 * whereLike(["foo", "bar", "hello", "world"], "o"); // ["foo","hello","world"]
 */
declare function whereLike<T>(arr: T[], value: RegExp | string): T[];
/**
 * Filters the array
 * @param arr
 * @param field
 * @param value
 * @example
 * whereLike([{foo:"hello"}, {foo:"bar"}, {foo:"world"}], "foo", /o/i); // [{foo:"hello"},{foo:"world"}]
 */
declare function whereLike<T>(arr: T[], field: string, value: RegExp | string): T[];
export default whereLike;
