"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Filters the array
 * @param arr
 * @param field
 * @example
 * whereNotNull([1, 2, 2, 3, null, undefined, 5]); // [1,2,2,3,5]
 * @example
 * whereNotNull([{count:1}, {count:null}, {foo:15}], "count"); // [{count:1}]
 */
function whereNotNull(arr, field) {
    return (0, utils_js_1.filter)(arr, field, item => item != null);
}
exports.default = whereNotNull;
//# sourceMappingURL=index.js.map