"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns true if the given argument is an instance of Date
 * @param arg
 * @example
 * isDate('foo bar'); // false
 * @example
 * isDate(new Date()); // true
 */
function isDate(arg) {
    return (arg instanceof Date
        || Object.prototype.toString.call(arg) === "[object Date]");
}
exports.default = isDate;
//# sourceMappingURL=index.js.map