"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../string/pad/index.js"));
/**
 * Returns yesterday's date in `YYYY-MM-DD` format
 * @example
 * yesterday(); // "2018-08-11"
 */
function yesterday() {
    const now = (new Date);
    now.setDate(now.getDate() - 1);
    const padSize = -2;
    return `${now.getFullYear()}-${(0, index_js_1.default)(`${now.getMonth() + 1}`, padSize, "0")}-${(0, index_js_1.default)(`${now.getDate()}`, padSize, "0")}`;
}
exports.default = yesterday;
//# sourceMappingURL=index.js.map