"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../../array/contains/index.js"));
/**
 * Determines if the current runtime environment is a browser,
 * so that front-end modules can run on the server (Node) without throwing errors
 * @example
 * isBrowser(); // false
 */
function isBrowser() {
    return !(0, index_js_1.default)([typeof window, typeof document], "undefined");
}
exports.default = isBrowser;
//# sourceMappingURL=index.js.map