"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Generates an array, containing the Fibonacci sequence, up until the nth term
 * @param nth
 * @example
 * fibonacci(6); // [0, 1, 1, 2, 3, 5]
 */
function fibonacci(nth) {
    return Array.from({ length: nth }).reduce((prev, value, index) => prev.concat(index > 1 ? prev[index - 1] + prev[index - 2] : index), []);
}
exports.default = fibonacci;
//# sourceMappingURL=index.js.map