"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Checks if the provided integer is a prime number
 * @param num
 * @example
 * isPrime(11); // true
 */
function isPrime(num) {
    const boundary = Math.floor(Math.sqrt(num));
    for (let i = 2; i <= boundary; i++)
        if (num % i === 0)
            return false;
    return num >= 2;
}
exports.default = isPrime;
//# sourceMappingURL=index.js.map