"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../gcd/index.js"));
/**
 * Returns the least common multiple of two or more numbers
 * @param nums
 * @example
 * lcm(12, 7); // 84
 * @example
 * lcm(...[1, 3, 4, 5]); // 60
 */
function lcm(...nums) {
    return nums.reduce((x, y) => (x * y) / (0, index_js_1.default)(x, y));
}
exports.default = lcm;
//# sourceMappingURL=index.js.map