"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_js_1 = require("../../utils.js");
/**
 * Retrieve the property indicated by the given selector from the object
 * @param obj
 * @param key
 * @example
 * get({ selector: { to: { val: 'val to select' } } }, 'selector.to.val'); // 'val to select'
 */
function get(obj, key) {
    return (0, utils_js_1.pathToKeys)(key).reduce((prev, cur) => prev[cur], obj);
}
exports.default = get;
//# sourceMappingURL=index.js.map