"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = __importDefault(require("../isObject/index.js"));
/**
 * Returns true if the given argument is object like
 * @param arg
 * @example
 * isObjectLike(2); // false
 * @example
 * isObjectLike({foo: 'bar'}); // true
 */
function isObjectLike(arg) {
    if (!(0, index_js_1.default)(arg))
        return false;
    return typeof arg !== "function";
}
exports.default = isObjectLike;
//# sourceMappingURL=index.js.map