import { pathToKeys } from "../../utils.js";
function min(arr, path) {
    let reducer = (item) => item;
    if (path) {
        const keys = pathToKeys(path);
        reducer = (item) => keys.reduce((prev, curr) => (prev && prev[curr]) || +Infinity, item);
    }
    return arr.reduce((prev, cur) => Math.min(prev, reducer(cur)), +Infinity);
}
export default min;
//# sourceMappingURL=index.js.map