/**
 * Returns every element that exists in any of the two arrays once
 * @param arr
 * @param array
 * @example
 * union([1, 2, 3], [4, 3, 2]); // [1,2,3,4]
 */
export default function union(arr, array) {
    return Array.from(new Set([...arr, ...array]));
}
//# sourceMappingURL=index.js.map