/**
 * Filters the array
 * @param arr
 * @param start
 * @param end
 * @example
 * whereNotBetween([1, 2, 2, 3, 4, 4, 5], 3,4); // [1,2,2,5]
 */
declare function whereNotBetween<T>(arr: T[], start: T, end: T): T[];
/**
 * Filters the array
 * @param arr
 * @param field
 * @param start
 * @param end
 * @example
 * whereNotBetween([{count:1}, {count:20}, {count:15}], "count", 1, 15); // [{count:20}]
 */
declare function whereNotBetween<T>(arr: T[], field: string, start: unknown, end: unknown): T[];
export default whereNotBetween;
