/**
 * Creates an array of elements, grouped based on the position in the original arrays
 * @param arr
 * @param arrays
 * @example
 * zip(['a', 'b'], [1, 2], [true, false]); // [['a', 1, true], ['b', 2, false]]
 * @example
 * zip(['a'], [1, 2], [true, false]); // [['a', 1, true], [undefined, 2, false]]
 */
export default function zip<T>(arr: T[], ...arrays: any[][]): unknown[][];
