import { pathToKeys } from "../../utils.js";
/**
 * Retrieve the property indicated by the given selector from the object
 * @param obj
 * @param key
 * @example
 * get({ selector: { to: { val: 'val to select' } } }, 'selector.to.val'); // 'val to select'
 */
export default function get(obj, key) {
    return pathToKeys(key).reduce((prev, cur) => prev[cur], obj);
}
//# sourceMappingURL=index.js.map