import keys from "../keys/index.js";
/**
 * Inverts the key-value pairs of the object, without mutating it
 * @param obj
 * @example
 * invert({ name: "John", age: 20 }); // { 20: "age", John: "name" }
 */
export default function invert(obj) {
    return keys(obj).reduce((acc, key) => {
        acc[obj[key]] = key;
        return acc;
    }, {});
}
//# sourceMappingURL=index.js.map