/**
 * Just like array.map
 * @param str
 * @param fn
 * @example
 * map('Hello', (char) => char == 'o' ? 'O' : char); // 'HellO'
 */
export default function map(str, fn) {
    return str.split("").map(fn)
        .join("");
}
//# sourceMappingURL=index.js.map