/**
 * Just like array.reduce
 * @param str
 * @param fn
 * @param initialValue
 * @example
 * reduce('123', (prev, char) => prev + (+char), 0); // 6
 */
export default function reduce(str, fn, 
// eslint-disable-next-line no-undefined
initialValue = undefined) {
    return str.split("").reduce(fn, initialValue);
}
//# sourceMappingURL=index.js.map